What does DOSY Processing do?

This program takes a 2D spectrum that is diffusion weighted in the indirect dimension, and then uses linear-regression, a mono-exponential fit, or a bi-exponential fit to generate a DOSY spectrum.

The advantage of linear regression is that it is quick; the disadvantage is that only one peak is generated for each point in the direct dimension.  This means that it does not deal well with overlapped peaks; it generates a peak in the indirect dimension that corresponds to the intensity weighted average of the diffusion constants of the two peaks used.

Usually, a mono-exponential fit is preferable to linear regression.  Although in an ideal world, the results of linear regression and the mono-exponential fit should look the same, the presence of noise (especially at higher levels of diffusion weighting) will distort the results from linear regression.

The mono-exponential fit uses the Levenberg-Marquardt algorithm for performing a non-linear least squares fit.  This is extended to include two-exponential terms in the bi-exponential fit; this option is a bit dangerous.  Please see the separate section of fitting for an explaination about the assumptions used in the bi-exponential fit.

The output spectrum generates by this program creates Gaussian shaped peaks in the diffusion dimension.  The position of these peaks corresponds to the apparent diffusion constant of the peak and the width corresponds to the error estimated by the fit.  The fitting algorithms generate the peak heights.

The units on the axis of the indirect dimension are:

After processing, the parameters are saved in a file called dosys in the processed data directory of both the input and output spectra.  If the program is executed again, these parameters are used instead of the defaults.


The Equations

The equation used to fit the data depends on whether the experiment involves a single or double echo.  The only difference between the two equations is a factor of two in the exponent.

For the case of linear regression the data is fit according to:

Where

•    δ is the gradient pulse length

•    Δ is the delay in between the gradients

•    D1 and D2 are the diffusion constants

•    G is the gradient strength

•    γ is the gyromagnetic ratio

•    s is the shape factor

•    b is the y-intercept

The variable e is equal to 1 for single echo experiments (i.e., spin-echoes and STE’s) and equal to 2 for double echo experiments (i.e., the DSTE).  Please note that other researchers may define the diffusion delay, Δ, differently.  The y-intercept is used to scale the intensity of the peaks in the DOSY spectrum; therefore, it is unnecessary to acquire a spectrum with no diffusion weighting.

For the mono- and bi-exponential fits, the data is fit according to the following equation

where N is equal to 1 for mono-exponential fits and equal to 2 for bi-exponential fits, Ai is the amplitude corresponding to the species with diffusion constant Di.

Please note that these equations are inexact for any gradient shape that is not rectangular.  However, as long as δ << Δ, the results do not differ appreciably compared to using the analytical solutions for different shape factors.


The Input and Output Pages

These pages allow the user to specify the input or output file for DOSY processing.

Input

For the input page, the Apply button will only be activated if the complete file path, shown in the edit box at bottom, is valid.  The input path is, by default, based on the current data set.

Output

For the output page any pathname will be accepted, but you should take care to make sure that it is valid path for XWIN-NMR.  The output path is based on the value entered by the user under edc2, or if that is unavailable, is simply the input path with the processing number incremented by one.

General

Both front- and back-slashes may be used to specify the components of the path.  For more help on the individual parts of the page, please click on the following.

•    Disk Unit

•    User Name

•    Exp. Name

•    Exp. Number

•    Proc. Number

•    File Name

•    Full Path


This specifies the disk unit component of the data path.  A typical example of a disk unit would be C:/BRUKER/XWIN-NMR.


This specifies the user component of the data path.  Typical examples of users would be jsmith or guest.


This specifies the experiment name component of the data path.  Typical examples of experiment names include 09Jan1975 or progesterone.


This specifies the experiment number component of the data path.  The experiment number must be an integer number, and typically ranges between 1 and 999.


This specifies the processing set number component of the data path.  This number must be an integer number, and typically ranges between 1 and 999.


This specifies the spectral filename.  For DOSY processing, the filename is typically 2rr.


The complete path created by combining the components provided by the user with the standard parts of the Bruker directory structure.


The Gradient Page

This page allows the user to modify settings that are related to the gradients used for a DOSY experiment.  The Apply button will only be active if there are more than two items in the gradient list.

For more help on the individual parts of the page, please click on the following.

•    Max. Grad. Strength

•    Gyromagnetic Ratio

•    Gradient List


The gradient strength provided by your spectrometer hardware when the gradient is operating at 100%.  For Bruker z-axis gradients, this value is typically between 30 and 60 G/cm; the default value is 50 G/cm.


This specifies the length of a single pulsed field gradient.  Typically values are between 1 and 2 ms; the default value is 2 ms.


The shape factor is a dimensionless number that accounts for differences in the shape of the gradient pulses.  For rectangular gradient pulses (constant amplitude throughout the pulse), this should be set to 1.0.  For triangular pulses, it should be 0.5.  The default setting is 2/Pi, which corresponds to half-sine shaped gradients.  Although this parameter should only range from +0 to 1, all values are allowed except for 0.


This specifies the gyromagnetic ratio of the nucleus that is gradient-labeled during the diffusion delay.  The default value of 26752 rad/(G cm) corresponds to hydrogen.


The Gradient List

This box contains the values of the gradients used in the DOSY experiment as a percentage of the maximum gradient value as well as the length of each gradient and its shape.  Any row not checked will not be processed.  For example, if you do not want to include the first row in the processing, just remove it from the list by clicking on the check box or by pressing the space bar when the row is highlighted.  The ordering of the gradient values is irrelevant to the processing; they may be ramped in any fashion, and may even be randomly distributed.  There must be at least two rows checked in this box before the Apply button is enabled.

For futher information, select:

•    Gradient Strength

•    Gradient Length

•    Gradient Shape


This box contains the values of the gradients used in the DOSY experiment as a percentage of the maximum gradient value as well as the length and shape of each gradient.  Any row not checked will not be processed.  For more information please read the help file.


The percent of the maximum gradient used for diffusion weighting for the selected row.  This value must be between –100% and 100%.


The Processing Page

The values on this page are used in the linear-least squares processing of the data.

For more help on the individual parts of the page, please click on the following.

•    Experiment Type

•    Single Echo

•    Double Echo

•    Intergradient Delay

•    Threshold

•    Error Scalar

•    Error Cutoff

•    Noise Level

•    Calculate

•    Left

•    Right

•    Fitting Algorithm

•    Linear

•    Mono-Exponential

•    Bi-Exponential


This option allows the user to specify the minimum-processing threshold as a percent of the maximum intensity in the spectrum.  Setting this higher speeds processing because rows that entirely contain noise will not be processed.  This also makes the spectrum look "cleaner".  Setting this too high, however, will result in rows containing signal being ignored.  The default value is 0.2%.  If you use a 0% threshold you should manually specify the diffusion boundaries on the Display page.


This should be selected to process spectra collected using spin-echo (SE) or stimulated-echo (STE) experiments.


This should be selected to process spectra collected using double stimulated-echo (DSTE) experiments.  Double-echo experiments usually provide more accurate diffusion constants because, if set up properly, they are compensated for convection.


This group box allows the user to select the experiment type used for to take the spectrum.  The default value is double echo.


The delay corresponds to the time between the two gradients in a single-echo experiment, or the time between the first two gradients in a double-echo experiment.  Typical values are between 20 and 500 ms.  The default value is equal to D2 + D3 + 2*P1, which assumes the use of an experiment in which P1 is the 90 degree pulse length and D2 and D3 are the gradient-recovery and the longitudinal delay times.


This controls the factor by which the width of the Gaussian curves generated for the indirect dimension is multiplied.  Increase this value if the lines are too narrow to be seen easily; decrease it if they are too wide.  Decreasing this value (cheating) too much will lead to misleading results because the diffusion constant will appear to be too accurately determined.  The default value of 1.0 leaves the spectrum unchanged.


This value specifies the cutoff value for creating the width of the Gaussian curves in the indirect dimension.  If the product of the diffusion constant and the error cutoff is greater than the error in the linear least-squares fit of the diffusion constant, than this product is used instead of the error.  For example, the default value of 3.5% for the cutoff means that if the error is less than 3.5% of the diffusion constant, than the width of the peak will be 3.5% of the diffusion constant instead of the error.  This helps avoid the problem of the true peak being between two points in the indirect dimension, which results in intensity variations unless the peak is relatively broad.  A value of 0.0 disables this feature.


This should be the RMS noise level of the spectrum.  The parameter is used by the non-linear fits to determine the amount of error in the fit; setting too small a level will result in artificially narrow lines in the diffusion dimension, setting too large a level will unnecessarily broaden the lines.  By default, this is calculated using the first 16th of the spectrum.


Clicking on this button brings up a dialog box which lets the user select a region of the spectrum from which to calculate the RMS noise.   The RMS noise is calculated according to:

The values in the equation above are defined for a region that extends from –n to n complex data points according to:

where yi is the magnitude of the ith complex data point.  This formula is based on the one given in the Bruker user manual, but fudged by the pre-factor to give satisfactory results (I did this because there does not seem to be a correlation between the formula in the manual and the results reported by typing "sino" in the software).


This defines the left boundary of the noise region (in PPM).  By default, this is set to the left edge of the spectrum.


This defines the right boundary of the noise region (in PPM).  By default, this is set to 1/16th of the spectral width away from the left edge of the spectrum.


Select linear, mono-exponential, or bi-exponential to specify how the data should be fit.  Get help on the specific choices to find out more.  The default value is linear.


Selecting linear results in linear-regression being used to fit the data; this is the default option.  This performs an unweighted analysis; all points contribute equally to the fit.  As the fit involves taking the logarithm of the data, noise in the points at higher levels of attenuation will disproportionately affect the results.  This is the quickest processing option.


Selecting mono-exponential results in non-linear least squares analysis being used to fit the data to a single exponential.  This seems to give the best results and can be calculated reasonably quickly.  Linear-regression is used to fit the first three data points of the decay curve, this is used to generate the initial parameters for the non-linear least squares fit.  The non-linear least squares fit is performed iteratively using the Levenberg-Marquardt algorithm; the maximum number of iterations is 25.


Selecting bi-linear results in non-linear least squares analysis being used to fit the data to two exponentials.  Computationally, this is noticeably slower than the other two options.  Linear-regression is used to fit the first three data points of the decay curve, this is used to generate the initial parameters for the non-linear least squares fit.  Information about how the initial parameters and the rejection criteria are choosen is listed under separate entries.


The Bi-Exponential Page

This page allows the user to set the options for how the bi-exponential fitting operates.

For more help on the individual parts of the page, please click on the following.

•    Initial Parameters

•    Height

•    Diffusion Constant

•    Rejection Criteria

•    Height Ratio

•    Diffusion Constant Ratio


The initial parameters set how the starting positions for the bi-exponential fit are determined.  Click on height or diffusion constant to find out more.


This sets the initial estimate for the height of the two exponentials in the bi-exponential fit.  The bi-exponential fit first performs a linear regression on the first three points in the decay curve.  This gives an estimate of the height; multiplying this height by the scalars entered by the user sets the diffusion constants for the two exponentials.  These scalars are, by default, 0.8 and 0.2.


This sets the initial estimate for the diffusion constant for the two exponentials in the bi-exponential fit.  The bi-exponential fit first performs a linear regression on the first three points in the decay curve.  This gives an estimate of the diffusion constant; multiplying this diffusion constant by the scalars entered by the user sets the diffusion constants for the two exponentials.  These scalars are, by default, 1.1 and 0.9.


The rejection criteria are how the program determines whether a bi-exponential fit is valid.  If the bi-exponential fit is rejected, then a mono-exponential fit is performed instead.  Click on height ratio or diffusion constant ratio to find out about these rejection criteria.


If the heights of the two exponentials in the bi-exponential fit are too different, it is assumed that the smaller peak is due to noise and the fit is rejected.  The ratio of heights is determined by dividing the smaller height by the larger height; therefore, the ratio will always be between 0.0 and 1.0.  Setting the height ratio rejection criteria to 0.0 shuts off this filter, setting it to 1.0 always rejects the bi-exponential fit.  The default value is 0.05.


If the diffusion constants of the two exponentials in the bi-exponential fit are too similar, it is assumed that there should be only one exponential, so the bi-exonential result is rejected and replace by the result from a mono-exponential fit.  The ratio of diffusion constants is determined by dividing the smaller by larger height; therefore, the ratio will always be between 0.0 and 1.0.  Setting the diffusion constant ratio rejection criteria to 1.0 shuts off this filter, setting it to 0.0 always rejects the bi-exponential fit.  The default value is 0.5.


The Display Page

This page allows the user to set the options for how the DOSY spectrum is displayed.

For more help on the individual parts of the page, please click on the following.

•    Size of Diffusion Dim

•    Diffusion Boundaries

•    Manual

•    Automatic

•    Upper Boundary

•    Lower Boundary

•    Scaling the DOSY Spectrum

•    Amplitudes

•    Integrals


The size of the diffusion dimension sets the size of the indirect dimension created in the output spectrum.  To make XWIN-NMR happy, this value must be equal to 2^n, where n is greater or equal to 2.  This value can be set arbitrarily large, but this increases processing and display time as well as disk space requirements.  Setting this too small, however, can make the spectrum difficult to visualize.  The default value of 128 is a reasonable compromise between disk space requirements and visualization.


Choose Manual to set the boundaries of the diffusion dimension of the DOSY spectrum yourself, or Automatic for the program to calculate them for you.  If you choose Automatic, make sure that the processing threshold is greater than zero; otherwise the boundaries will become unrealistically large.


On the Manual setting, the program uses the values entered by the user to set the boundaries of the DOSY spectrum.


On the Automatic setting, the boundaries of the spectrum are calculated based on the range of diffusion constants present in the sample.  The algorithm involves taking the difference between the maximum and minimum diffusion values.  Then, 10% of this difference is added to the upper boundary, and 10% is subtracted to from the lower boundary.  If the lower boundary ends up being less than zero, it is set to zero.  Make sure that the Automatic setting is used in conjunction with a processing threshold greater than 0.


This defines the upper boundary of the DOSY spectrum.  This can be any value as long as it is greater than the lower boundary.  Note that the value is multiplied by 10^(-6), so on this scale the diffusion constant of chloroform would be around 30.  This option is only editable if the boundary mode is set to Manual.  The default value is 50.


This defines the lower boundary of the DOSY spectrum.  Any value between 0.0 and the upper boundary is allowed.  Note that the value is multiplied by 10^(-6), so on this scale the diffusion constant of chloroform would be around 30. This option is only editable if the boundary mode is set to Manual.  The default value is 0.


This determines how the intensities in the final DOSY spectrum are calculated.  The default value is Integrals.


Selecting Amplitudes sets the intensities of the points so that the peak heights in the diffusion dimension are the same as the corresponding points in the first row used for processing.  This value is useful if you want to extract individual rows out of the DOSY spectra or want to view the data using skyline projections.


Selecting Integrals sets the intensities such that the peak area in the diffusion dimension is related to the the intensity of the corresponding data point in the first row used for processing.  This value produces nicer looking two-dimensional spectra.  In this mode, the user should sum over a region to make a one-dimensional projection rather than extracting a single row.


Clicking this button initiates the DOSY processing.  The values entered into the pages are used for the processing, and are saved afterwards to a file named dosys in the processed data directory.


The About Page

If you need help at this point you have bigger problems than I can help you with.